.. AUTO-GENERATED FILE. DO NOT EDIT. one-users-get-many ================== Source ------ - Repository: ``jef-systems/jef-one-backend`` - Source Run ID: ``25256246879`` - Source SHA: ``944e655286e0c87c6e611453ffc46df43159a83d`` - Module: ``one`` - Documentation Scope: ``get`` - Lambda: ``jef-one-get-18`` Endpoint -------- - API Name: ``jef-one`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/one-users-get-many`` - Complete Endpoint: ``https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-get-18`` - curl payload mode: ``none`` API Gateway Description ----------------------- .. code-block:: text Function: jef-one-get-18 API Name: jef-one Action: get Method: GET Resource Path: /one-users-get-many Table: - table: jef-one-users - operation: get-many Response Schema: - exists: boolean - message: string - items: [{"pk":"string","entity_number":"string","employee_number":"string","display_name":"string","password_hash":"string","is_active":"boolean","roles":"string","created_at":"string","updated_at":"string","password_updated_at":"string"}] Request Payload --------------- .. code-block:: json [] Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"pk\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"display_name\":\"string\",\"password_hash\":\"string\",\"is_active\":\"boolean\",\"roles\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"password_updated_at\":\"string\"}]" } CMD curl -------- .. code-block:: text curl "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-get-many" PowerShell curl --------------- .. code-block:: text curl.exe "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-get-many"